## kopete 23.08.4

=== debian/changelog ===
kopete (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Disable meanwhile protocol temporarily to avoid FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sun, 17 Dec 2023 16:13:46 +0000

kopete (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:08 +0000

kopete (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:13 +0000

kopete (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:03 +0100
