=== plugins/CMakeLists.txt ===
option(WITH_latex "Enable Kopete latex plugin" OFF) # to be fixed or rewritten
option(WITH_autoreplace "Enable Kopete autoreplace plugin" ON) 
option(WITH_history "Enable Kopete history plugin" ON) # To be re-written
option(WITH_history2 "Enable Kopete history2 plugin" OFF) # To be re-written
option(WITH_contactnotes "Enable Kopete contactnotes plugin" ON)
option(WITH_translator "Enable Kopete translator plugin" OFF)
option(WITH_nowlistening "Enable Kopete nowlistening plugin" OFF)
option(WITH_texteffect "Enable Kopete texteffect plugin" ON)
option(WITH_highlight "Enable Kopete highlight plugin" ON)
option(WITH_alias "Enable Kopete alias plugin" OFF) # Disabled because someone thought it does nothing :P
option(WITH_addbookmarks "Enable Kopete addbookmarks plugin" ON)
option(WITH_privacy "Enable Kopete privacy plugin" ON)
option(WITH_urlpicpreview "Enable Kopete urlpicpreview plugin" ON)
option(WITH_statistics "Enable Kopete statistics plugin" ON)
option(WITH_webpresence "Enable Kopete webpresence plugin" ON)
option(WITH_pipes "Enable Kopete pipes plugin" OFF)
option(WITH_otr "Enable Kopete Off-the-Record plugin" ON)
option(WITH_cryptography "Enable Kopete Cryptography plugin" OFF) # To be re-written

# Laurent this plugins use shell script which will not work on windows
if (WITH_latex AND UNIX)
  add_subdirectory( latex )
endif()
if (WITH_autoreplace)
  add_subdirectory( autoreplace )
endif()
if (WITH_history)
  add_subdirectory( history )
endif()
if (WITH_history2)
  add_subdirectory( history2 )
endif()
if (WITH_contactnotes)
  add_subdirectory( contactnotes )
endif()
if (WITH_translator)
  add_subdirectory( translator )
endif()
if (WITH_nowlistening)
  add_subdirectory( nowlistening )
endif()
if (WITH_texteffect)
  add_subdirectory( texteffect )
endif()
if (WITH_highlight)
  add_subdirectory( highlight )
endif()
if (WITH_alias)
  add_subdirectory( alias )
endif()
if (WITH_addbookmarks)
  add_subdirectory( addbookmarks )
endif()
if(NOT MSVC)
if (WITH_privacy)
  add_subdirectory( privacy )
endif()
else()
  message(STATUS "disabled privacy plugin because some KGenericFactory<> template won't compile")
endif()
if (WITH_urlpicpreview)
  add_subdirectory( urlpicpreview )
endif()
if (WITH_statistics AND SQLITE_FOUND)
  add_subdirectory ( statistics ) 
endif()
if(WITH_pipes)
  add_subdirectory ( pipes )
endif()
if(WITH_webpresence AND LibXml2_FOUND AND LIBXSLT_FOUND)
  add_subdirectory( webpresence )
endif()
if (WITH_otr AND LIBOTR_FOUND)
  add_subdirectory ( otr )
endif()
if (WITH_cryptography AND QGpgme_FOUND)
  add_subdirectory ( cryptography )
endif()
