=== plugins/otr/icons/CMakeLists.txt ===
file(GLOB icons_png "[0-9]*.png")
file(GLOB icons_svg "[0-9]*.svgz")
file(GLOB icons_mng "[0-9]*.mng")
set(all_icons ${icons_png} ${icons_svg} ${icons_mng})
ecm_install_icons(ICONS ${all_icons} DESTINATION ${ICON_INSTALL_DIR} THEME oxygen)
