=== styles/Retropete/Contents/Resources/images/CMakeLists.txt ===

########### install files ###############

install( FILES state-sending.gif state-error.png  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/styles/Retropete/Contents/Resources/images)
