=== debian/control ===
--- 
+++ 
@@ -30,18 +30,17 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 23.08.4~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:23.08.4~),
+               libkf5libkleo-dev (>= 4:23.08.5~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.25.0~),
                libkf5wallet-dev (>= 5.25.0~),
-#               libmeanwhile-dev,
                libmediastreamer-dev (>= 3.6),
                libortp-dev (>= 0.13),
                libotr5-dev,
